Bug 500030 - function_template bug is back...
function_template bug is back...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-10 05:53 EDT by Caolan McNamara
Modified: 2013-08-09 01:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 20:31:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix up header (659 bytes, patch)
2009-05-10 05:54 EDT, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2009-05-10 05:53:15 EDT
Description of problem:
/usr/include/boost/function/function_template.hpp:965: error: declaration of 'class R'
/usr/include/boost/function/function_template.hpp:652: error:  shadows template parm 'class R'
/usr/include/boost/function/function_template.hpp:979: error: declaration of 'class R'

during a build of OOo in post-F11 rawhide

Version-Release number of selected component (if applicable):
boost-1.39.0

The is the same problem of a misplaced ifdef in the case of disabled exceptions as was solved earlier by #477131 but the .hpp has moved around a bit in the new boost release, attached is a updated patch that should solve it
Comment 1 Caolan McNamara 2009-05-10 05:54:16 EDT
Created attachment 343252 [details]
fix up header
Comment 2 Benjamin Kosnik 2009-05-11 20:31:55 EDT
Thanks Caolan. This should be fixed now, with boost-1_39_0-2_fc12.

-benjamin

Note You need to log in before you can comment on or make changes to this bug.